> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/eulerv2/eulerv2supply.md).

# EulerV2Supply

### Description

Supply assets to a Euler vault and gets eTokens vault shares

### Action ID

`0xc9533e95`

### SDK Action

```ts
const eulerV2SupplyAction = new dfs.actions.eulerV2.EulerV2SupplyAction(
    vault,
    tokenAddress,
    account,
    from,
    amount,
    enableAsColl
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param vault The address of the supply vault
    /// @param account The address of the Euler account, defaults to user's wallet
    /// @param from The address from which to pull tokens to be supplied
    /// @param amount The amount of assets to supply
    /// @param enableAsColl Whether to enable supply vault as collateral
    struct Params {
        address vault;
        address account;
        address from;
        uint256 amount;
        bool enableAsColl;
    }
```

### Return Value

```solidity
return bytes32(supplyAmount);
```

### Events and Logs

```solidity
emit ActionEvent("EulerV2Supply", logData);
logger.logActionDirectEvent("EulerV2Supply", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/eulerv2/eulerv2supply.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
